body {
    background: #f7f7f7;
}
@font-face {
    font-family: HarmonyOS_Sans_SC_Medium;
    font-style: normal;
    font-display: swap;
    src: url('https://cdn.jsdelivr.net/gh/irozhi/HarmonyOS-Sans/HarmonyOS_Sans_SC/HarmonyOS_Sans_SC_Medium.woff2') format('woff2'),
         url('https://cdn.jsdelivr.net/gh/irozhi/HarmonyOS-Sans/HarmonyOS_Sans_SC/HarmonyOS_Sans_SC_Medium.woff') format('woff');
}
* {
    font-family: HarmonyOS_Sans_SC_Medium;
}
.btn {
    padding: 5px 10px;
    border-radius: 4px;
    border: none;
    cursor: pointer;
    outline: none;
    font-size: 15px;
}
.btn-primary {background: #008cff;color: #fff;transition: all 0.2s ease-in-out;border: 1px solid #008cff;}
.btn-primary:hover {background: #007afd;border: 1px solid #007afd;}
.btn-secondary {background: #6c757d;color: #fff;transition: all 0.2s ease-in-out;border: 1px solid #6c757d;}
.btn-secondary:hover {background: #5a6268;border: 1px solid #5a6268;}
.btn-danger {background: #dc3545;color: #fff;transition: all 0.2s ease-in-out;border: 1px solid #dc3545;}
.btn-danger:hover {background: #b22222;border: 1px solid #b22222;}
.btn-outline-primary {background: #fff;color: #008cff;border: 1px solid #008cff;transition: all 0.2s ease-in-out;}
.btn-outline-secondary {background: #fff;color: #6c757d;border: 1px solid #6c757d;transition: all 0.2s ease-in-out;}
.btn-outline-danger {background: #fff;color: #dc3545;border: 1px solid #dc3545;transition: all 0.2s ease-in-out;}
#hc-header {
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 8vw;
    height: 64px;
    box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.1);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 999;
}
#hc-header-left img {
    height: 52px;
}
#hc-header-right .login-username {
    font-size: 14px;
    display: flex;
    align-items: center;
    gap: 5px;
    user-select: none;
    cursor: pointer;
}
#hc-header-right .login-username:before {
    width: 14px;
    height: 14px;
    content: "";
    display: inline-block;
    background-image: url("../images/user.svg");
}
#hc-header-right .login-tip {
    font-size: 14px;
    color: #6c757d;
}
#hc-container {
    margin-top: 64px;
    width: calc(100% - 16vw);
    max-width: 1095px;
    min-width: calc(1000px - 16vw);
    padding: 4vh 8vw;
    margin-left: 50%;
    transform: translateX(-50%);
    /* box-sizing: border-box; */
}
@media screen and (max-width: 1000px) {
    #hc-container {
        width: 100%;
        padding: 4vh 4vw;
        margin-left: 0;
        transform: none;
    }
}
#hc-footer {
    background: #ececec;
    padding: 5vh 8vw;
    color: #6c757d;
    font-size: 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
#hc-footer-left {
    line-height: 28px;
}
#hc-footer-right {
    display: flex;
    align-self: center;
    gap: 10px;
}
#hc-footer-right div {
    background: #dddddd;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}
.mask {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 99999998;
    opacity: 0;
    transition: opacity 0.2s ease;
}
.mask.show {
    opacity: 1;
}
.login-box {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.9);
    z-index: 99999999;
    background: #fff;
    box-sizing: border-box;
    width: 80%;
    max-width: 330px;
    border-radius: 4px;
    overflow: hidden;
    opacity: 0;
    transition: opacity 0.2s ease, transform 0.2s ease;
}
.login-box.show {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
}
.login-title {
    font-size: 20px;
    border-radius: 4px 4px 0 0;
    background: linear-gradient(135deg, #a1c4fd, #c2e9fb);
    color: #416c88;
    height: 120px;
    display: flex;
    align-items: flex-end;
    padding: 20px;
    box-sizing: border-box;
}
.login-form {
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.login-form > div {
    display: flex;
    flex-direction: column;
    font-size: 14px;
    color: #5a6268;
}
.login-form > div > input {
    outline: none;
    border: 1px solid #d9d9d9;
    padding: 5px 16px;
    border-radius: 4px;
    margin-top: 4px;
    font-size: 14px;
    line-height: 24px;
    transition: all 0.2s ease-in-out;
}
.login-form > div > input:focus {
    border-color: #008cff;
}
.login-form .btn-group {
    flex-direction: row;
    gap: 10px;
    margin-top: 4px;
}
.login-form .btn-group > button {
    width: 100%;
    padding: 8px 0;
}